Welcome to the new home of the HDX FAQ
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Climate

Get rainfall data

get

Rainfall data . See the more detailed technical <a href="https://hdx-hapi.readthedocs.io/en/latest/data_usage_guides/

Query parameters
app_identifierstring · max: 512 · nullableRequired

base64 encoded application name and email, as in base64("app_name:email"). This value can also be passed in the X-HDX-HAPI-APP-IDENTIFIER header. See the encoded_app_identifier endpoint.

aggregation_periodstring · enum · max: 12 · nullableOptional

Filter the response by the aggregation period, available values are described here.

Possible values:
versionstring · enum · max: 16 · nullableOptional

Version rainfall

Possible values:
has_hrpboolean · nullableOptional

Filter the response by the has_hrp flag. The has_hrp flag indicates whether a country has a Humanitarian Response Plan.

in_ghoboolean · nullableOptional

Filter the response by the in_gho flag. The in_gho flag indicates whether a country is in the Global Humanitarian Overview.

start_datestring · nullableOptional

Filter entries to include rows where the reference period overlaps with or extends beyond this date, e.g. 2020, 2020-01, 2020-01-01 or 2020-01-01T00:00:00

end_datestring · nullableOptional

Filter entries to include rows where the reference period overlaps with or begins prior to this date, e.g. 2020, 2020-01, 2020-01-01, 2020-01-01 or 2020-01-01T23:59:59

location_codestring · max: 128 · nullableOptional

Filter the response by a location (typically a country). The location codes use the ISO-3 (ISO 3166 alpha-3) codes. See the location endpoint for details.

location_namestring · max: 512 · nullableOptional

Filter the response by a location (typically a country). The location names are based on the "short name" from the UN M49 Standard. See the location endpoint for details.

admin1_codestring · max: 128 · nullableOptional

Filter the response by the 1st subnational administrative divisions. The admin1 codes refer to the p-codes in the Common Operational Datasets. See the admin1 endpoint for details.

admin1_namestring · max: 512 · nullableOptional

Filter the response by the 1st subnational administrative divisions. The admin1 names refer to either the Common Operational Datasets or those provided in the original data source. See the admin1 endpoint for details.

admin2_codestring · max: 128 · nullableOptional

Filter the response by the 2nd subnational administrative divisions. The admin2 codes refer to the p-codes in the Common Operational Datasets. See the admin2 endpoint for details.

admin2_namestring · max: 512 · nullableOptional

Filter the response by the 2nd subnational administrative divisions. The admin2 names refer to either the Common Operational Datasets or those provided in the original data source. See the admin2 endpoint for details.

admin_levelstring · enum · nullableOptional

Filter the response by admin level.

Possible values:
output_formatstring · enumOptionalDefault: jsonPossible values:
limitinteger · max: 10000Optional

Maximum number of records to return. The system will not return more than 10,000 records.

Default: 10000Example: 100
offsetintegerOptional

Number of records to skip in the response. Use in conjunction with the limit parameter to paginate.

Default: 0
Responses
200

Successful Response

application/json
get/api/v2/climate/rainfall
GET /api/v2/climate/rainfall?app_identifier=text HTTP/1.1
Host: hapi.humdata.org
Accept: */*
{
  "data": [
    {
      "location_code": "text",
      "location_name": "text",
      "admin1_code": "text",
      "admin1_name": "text",
      "admin2_code": "text",
      "admin2_name": "text",
      "admin_level": 1,
      "resource_hdx_id": "text",
      "aggregation_period": "dekad",
      "provider_admin1_code": "text",
      "provider_admin2_code": "text",
      "rainfall": 1,
      "rainfall_long_term_average": 1,
      "rainfall_anomaly_pct": 1,
      "number_pixels": 1,
      "version": "final",
      "reference_period_start": "2026-01-01T00:00:00.000Z",
      "reference_period_end": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Last updated

Was this helpful?